Package org.apache.lucene.benchmark.byTask.feeds

# Class SimpleQueryMaker

java.lang.Object
org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker
org.apache.lucene.benchmark.byTask.feeds.SimpleQueryMaker

All Implemented Interfaces:
  `QueryMaker`

Direct Known Subclasses:
  `SimpleSloppyPhraseQueryMaker`

public class SimpleQueryMaker extends AbstractQueryMaker
A QueryMaker that makes queries for a collection created using `SingleDocSource`.

## Field Summary

### Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker

`config, qnum, queries`

## Constructor Summary

Constructors
Constructor
Description
`SimpleQueryMaker()`

## Method Summary

Modifier and Type
Method
Description
`protected Query[]`
`prepareQueries()`
Prepare the queries for this test.

### Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.AbstractQueryMaker

`makeQuery, makeQuery, nextQnum, printQueries, resetInputs, setConfig`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleQueryMaker

public SimpleQueryMaker()

## Method Details

### prepareQueries

protected Query[] prepareQueries() throws Exception
Prepare the queries for this test. Extending classes can override this method for preparing different queries.

Specified by:
  `prepareQueries` in class `AbstractQueryMaker`
Returns:
  prepared queries.
Throws:
  `Exception` - if cannot prepare the queries.